package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 人员表对象 qy_person
 *
 * @author ruoyi
 * @date 2019-09-10
 */
public class QyPerson extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** Id */
    @Excel(name = "Id")
    private Long id;

    /** Bsid */
    @Excel(name = "Bsid")
    private String bsid;

    /** 姓名 */
    @Excel(name = "姓名")
    private String renname;

    /** 性别 */
    @Excel(name = "性别")
    private String rensex;

    /** 身份证 */
    @Excel(name = "身份证")
    private String rencardno;

    /** 联系方式 */
    @Excel(name = "手机号")
    private String renmoblie;

    /** 手机号 */
    @Excel(name = "联系方式")
    private String renphone;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String renemail;

    /** 身份证办理地址 */
    @Excel(name = "身份证办理地址")
    private String rencardjg;

    /** 住址 */
    @Excel(name = "住址")
    private String renaddress;

    /** 身份证时间 */
    @Excel(name = "身份证时间")
    private String rencarddate;

    /** 照片 */
    @Excel(name = "照片")
    private String renphoto;

    /** 签名 */
    @Excel(name = "签名")
    private String renqianming;

    /** 拍照 */
    @Excel(name = "拍照")
    private String paiphoto;

    /** 身份类别 */
    @Excel(name = "身份类别")
    private String rentype;

    /** RzQx */
    @Excel(name = "远程认证标识位")
    private String rzqx;

    /** 职位名称 */
    @Excel(name = "职位名称")
    private String zwmc;

    /** 从事方式 */
    @Excel(name = "从事方式")
    private String csfs;

    /** 委派部门 */
    @Excel(name = "委派部门")
    private String weipaidept;

    /** 是否法人 */
    @Excel(name = "是否法人")
    private String isfr;

    /** 操作人身份证 */
    @Excel(name = "操作人身份证")
    private String czrsfz;

    /** 操作人身份证1 */
    @Excel(name = "操作人身份证1")
    private String czrsfz1;

    /** WXOpenID */
    @Excel(name = "WXOpenID")
    private String wxopenid;

    /** 添加时间 */
    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date addtime;
    /** 录像 */
    private String video;
    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBsid(String bsid)
    {
        this.bsid = bsid;
    }

    public String getBsid()
    {
        return bsid;
    }
    public void setRenname(String renname)
    {
        this.renname = renname;
    }

    public String getRenname()
    {
        return renname;
    }
    public void setRensex(String rensex)
    {
        this.rensex = rensex;
    }

    public String getRensex()
    {
        return rensex;
    }
    public void setRencardno(String rencardno)
    {
        this.rencardno = rencardno;
    }

    public String getRencardno()
    {
        return rencardno;
    }
    public void setRenmoblie(String renmoblie)
    {
        this.renmoblie = renmoblie;
    }

    public String getRenmoblie()
    {
        return renmoblie;
    }
    public void setRenphone(String renphone)
    {
        this.renphone = renphone;
    }

    public String getRenphone()
    {
        return renphone;
    }
    public void setRenemail(String renemail)
    {
        this.renemail = renemail;
    }

    public String getRenemail()
    {
        return renemail;
    }
    public void setRencardjg(String rencardjg)
    {
        this.rencardjg = rencardjg;
    }

    public String getRencardjg()
    {
        return rencardjg;
    }
    public void setRenaddress(String renaddress)
    {
        this.renaddress = renaddress;
    }

    public String getRenaddress()
    {
        return renaddress;
    }
    public void setRencarddate(String rencarddate)
    {
        this.rencarddate = rencarddate;
    }

    public String getRencarddate()
    {
        return rencarddate;
    }
    public void setRenphoto(String renphoto)
    {
        this.renphoto = renphoto;
    }

    public String getRenphoto()
    {
        return renphoto;
    }
    public void setRenqianming(String renqianming)
    {
        this.renqianming = renqianming;
    }

    public String getRenqianming()
    {
        return renqianming;
    }
    public void setPaiphoto(String paiphoto)
    {
        this.paiphoto = paiphoto;
    }

    public String getPaiphoto()
    {
        return paiphoto;
    }
    public void setRentype(String rentype)
    {
        this.rentype = rentype;
    }

    public String getRentype()
    {
        return rentype;
    }
    public void setRzqx(String rzqx)
    {
        this.rzqx = rzqx;
    }

    public String getRzqx()
    {
        return rzqx;
    }
    public void setZwmc(String zwmc)
    {
        this.zwmc = zwmc;
    }

    public String getZwmc()
    {
        return zwmc;
    }
    public void setCsfs(String csfs)
    {
        this.csfs = csfs;
    }

    public String getCsfs()
    {
        return csfs;
    }
    public void setWeipaidept(String weipaidept)
    {
        this.weipaidept = weipaidept;
    }

    public String getWeipaidept()
    {
        return weipaidept;
    }
    public void setIsfr(String isfr)
    {
        this.isfr = isfr;
    }

    public String getIsfr()
    {
        return isfr;
    }
    public void setCzrsfz(String czrsfz)
    {
        this.czrsfz = czrsfz;
    }

    public String getCzrsfz()
    {
        return czrsfz;
    }
    public void setCzrsfz1(String czrsfz1)
    {
        this.czrsfz1 = czrsfz1;
    }

    public String getCzrsfz1()
    {
        return czrsfz1;
    }
    public void setWxopenid(String wxopenid)
    {
        this.wxopenid = wxopenid;
    }

    public String getWxopenid()
    {
        return wxopenid;
    }
    public void setAddtime(Date addtime)
    {
        this.addtime = addtime;
    }

    public Date getAddtime()
    {
        return addtime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bsid", getBsid())
            .append("renname", getRenname())
            .append("rensex", getRensex())
            .append("rencardno", getRencardno())
            .append("renmoblie", getRenmoblie())
            .append("renphone", getRenphone())
            .append("renemail", getRenemail())
            .append("rencardjg", getRencardjg())
            .append("renaddress", getRenaddress())
            .append("rencarddate", getRencarddate())
            .append("renphoto", getRenphoto())
            .append("renqianming", getRenqianming())
            .append("paiphoto", getPaiphoto())
            .append("rentype", getRentype())
            .append("rzqx", getRzqx())
            .append("zwmc", getZwmc())
            .append("csfs", getCsfs())
            .append("weipaidept", getWeipaidept())
            .append("isfr", getIsfr())
            .append("czrsfz", getCzrsfz())
            .append("czrsfz1", getCzrsfz1())
            .append("wxopenid", getWxopenid())
            .append("addtime", getAddtime())
            .toString();
    }
}
